gperiodic (3.0.3-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:53:51 +1100

gperiodic (3.0.3-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 04:48:50 +0000

gperiodic (3.0.3-1) unstable; urgency=medium

  * New upstream release
  * Drop triplet-prefixed_pkg-config.patch included upstream
  * Update Vcs-* URIs for move to salsa.debian.org
  * Turn debhelper up to 11
  * Update debian/copyright
  * Bump Standards-Version to 4.3.0, no further changes

 -- Graham Inggs <ginggs@debian.org>  Wed, 26 Dec 2018 09:12:10 +0000

gperiodic (3.0.2-1) unstable; urgency=medium

  * New upstream release (Closes: #214493, #815427)
  * Drop all patches included upstream
  * Migrate from SVN to Git
  * Update Homepage and debian/watch for move to SourceForge
  * Switch to debhelper 10
  * Switch to upstream's manpage
  * Remove trailing whitespace from debian/changelog, thanks Lintian
  * Remove gperiodic menu file, see #741573, use upstream's hicolor icons
  * Drop obsolete DM-Upload-Allowed field
  * Drop obsolete debian/gperiodic.dirs
  * Pass hardening CFLAGS and enable all hardening flags
  * Add myself to Uploaders
  * Fix FTCBFS: Use a triplet-prefixed pkg-config (Closes: #865716)
  * Update debian/copyright for DEP-5
  * Bump Standards-Version to 4.1.2, no further changes

 -- Graham Inggs <ginggs@debian.org>  Tue, 26 Dec 2017 16:42:06 +0000

gperiodic (2.0.10-7) unstable; urgency=low

  * debian/patches/488461_update_Uun_and_Uuu.patch: Adjusted.
    - Ununbium has been renamed to Copernicium.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Wed, 02 May 2012 22:36:54 +0200

gperiodic (2.0.10-6) unstable; urgency=low

  * debian/compat: Increased dh compatibility level.
  * debian/control (Standards-Version): Bumped to 3.9.3.
    (Build-Depends): Removed dpatch. Increased required debhelper version.
    (Vcs-Browser, Vcs-Svn): Fixed (closes: #669421).
    (Depends): Fixed debhelper-but-no-misc-depends.
  * debian/rules: Rewritten for dh 7.
  * debian/patches/11_remove_DEPRECATED_flags_for_GTK_2_4.dpatch: Renamed to
    debian/patches/remove_DEPRECATED_flags_for_GTK_2_4.patch.
  * debian/patches/12_fix_desktop_file.dpatch: Renamed to
    debian/patches/fix_desktop_file.patch.
  * debian/patches/13_fix_zink_description.dpatch: Renamed to
    debian/patches/fix_zink_description.patch.
  * debian/patches/14_fix_lithium_melting_point.dpatch: Renamed to
    debian/patches/fix_lithium_melting_point.patch.
  * debian/patches/15_fix_bohrium_data_set.dpatch: Renamed to
    debian/patches/fix_bohrium_data_set.patch.
  * debian/patches/16_466231_remove_markup_on_console.dpatch: Renamed to
    debian/patches/466231_remove_markup_on_console.patch.
  * debian/patches/17_483586_fix_encoding_errors.dpatch: Renamed to
    debian/patches/483586_fix_encoding_errors.patch
  * debian/patches/18_488461_update_Uun_and_Uuu.dpatch: Renamed to
    debian/patches/488461_update_Uun_and_Uuu.patch.
  * debian/patches/19_488469_use_appropriate_menu_icons.dpatch: Renamed to
    debian/patches/488469_use_appropriate_menu_icons.patch.
  * debian/patches/00list: Renamed to debian/patches/series and adjusted.
  * debian/source/format: Added for quilt-based format 3.0 (closes: #664316).

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Wed, 02 May 2012 17:59:37 +0200

gperiodic (2.0.10-5) unstable; urgency=low

  * debian/patches/11_remove_DEPRECATED_flags_for_GTK_2_4.dpatch: Adjusted.
    - gperiodic.c (main_prog): Conditionally use non-deprecated GTK functions
      (closes: #488612).
    - gperiodic.h (table_entry): Ditto.
  * debian/patches/18_488461_update_Uun_and_Uuu.dpatch: Added.
    - table_data.h: Fixed Ununnilium (Uun) and Unununium (Uuu) data (closes:
      #488461).
  * debian/patches/19_488469_use_appropriate_menu_icons.dpatch: Added.
    - gperiodic.c (main_prog): Fixed icons for About and Quit (closes:
      #488469).
  * debian/patches/00list: Adjusted.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Mon, 30 Jun 2008 22:19:12 +0200

gperiodic (2.0.10-4) unstable; urgency=low

  * debian/patches/17_483586_fix_encoding_errors.dpatch: Added.
    - table_data.h: Fixed badly encoded data leading to garbage on the
      console (closes: #483586). Thanks to Petter Reinholdtsen.
  * debian/patches/00list: Adjusted.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Fri, 30 May 2008 02:11:45 +0200

gperiodic (2.0.10-3) unstable; urgency=low

  [ Daniel Leidert ]
  * debian/compat: Raised to v5.
  * debian/control: Added DM-Upload-Allowed for DM status.
    (Build-Depends): Raised debhelper to v5.
    (Standards-Version): Raised to 3.7.3.
  * debian/copyright: Added Copyright information (thanks to lintian).
  * debian/gperiodic.1: Typo fix. Add information that text output is UTF-8
    encoded.
  * debian/rules: Added common CFLAGS and LDFLAGS.
    (build-stamp): Use the CFLAGS and LDFLAGS during creation.
  * debian/patches/11_remove_DEPRECATED_flags_for_GTK_2_4.dpatch: Adjusted.
    - Makefile: Allow to set CFALGS and LDFLAGS easily.
  * debian/patches/15_fix_bohrium_data_set.dpatch: Added.
    - table_data.h: Fixed the data set for Bohrium. The Electronic
      Configuration was shown in the Oxidation States field.
  * debian/patches/16_466231_remove_markup_on_console.dpatch: Added.
    - gperiodic.c (gpparse_print_element_data_for_num): Remove Pango markup on
      text console and output a tiny UTF-8 encoded information summary
      (closes: #466231).
  * debian/patches/00list: Adjusted.

  [ Michael Banck ]
  * debian/control (Description): Do not mention available translations.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Thu, 06 Mar 2008 20:16:13 +0100

gperiodic (2.0.10-2) unstable; urgency=low

  * debian/control: Homepage field transition. Added Vcs fields.
    (Maintainer): Set the debichem team as maintainer and moved myself to
    Uploaders.
  * debian/patches/13_fix_zink_description: Added.
    - table_data.h: Fixed bug in the description of zincs "Named after" field.
      Thanks to Lothar Schmidt for the report.
  * debian/patches/14_fix_lithium_melting_point.dpatch: Added.
    - table_data.h: Fixed wrong melting point given for Lithium (LP: #160424).
      Thanks to Miguel Martinezfor the report.
  * debian/patches/00list: Adjusted.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Mon, 12 Nov 2007 22:49:44 +0100

gperiodic (2.0.10-1) unstable; urgency=low

  * New upstream release 2.0.10.

  [ Daniel Leidert ]
  * debian/control (Build-Depends): Be more exact about GTK+ dependency.
    (Depends): Removed unused substitution variable.
  * debian/gperiodic.menu (section): Fixed to comply with latest menu policy.
  * debian/patches/12_fix_desktop_file.dpatch: Added.
    - Fix the .desktop file to be compliant to the fd.o spec and to make
      lintian happy.
  * debian/watch: Added.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Mon, 27 Aug 2007 02:08:02 +0200

gperiodic (2.0.9-1) unstable; urgency=low

  * New upstream release 2.0.9.
    - Upstream applied almost all patches from our Debian package. Thanks to
    Jonas Frantz.

  [ Daniel Leidert ]
  * debian/rules (install): Improved slightly to make use of the improved
    makefiles.
  * debian/patches/01_fix_installation_permissions.dpatch: Removed. Applied
    upstream.
  * debian/patches/02_fix_desktop_file_validness.dpatch: Ditto.
  * debian/patches/10_fix_bug_234567_endless_loop.dpatch: Ditto.
  * debian/patches/80_update_italian_translation.dpatch: Ditto.
  * debian/patches/81_update_french_translation.dpatch: Ditto.
  * debian/patches/00list: Adjusted accordingly.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Sun, 01 Jul 2007 00:42:01 +0200

gperiodic (2.0.8-1) UNRELEASED; urgency=low

  * New upstream release 2.0.8 (closes: #358693).
  * New maintainer. Thanks to Sebastien Bacher for his work.

  [ Daniel Leidert ]
  * debian/control: Added XS-Vcs-Browser and XS-Vcs-Svn fields.
    (Build-Depends): Added dpatch.
    (Maintainer): Set myself as new maintainer. See above.
    (Standards-Version): Changed to latest standards version 3.7.2.
    (Description): Added Homepage field.
  * debian/copyright: Updated. Fixed new download location. Adjusted
    maintainer information.
  * debian/docs: Renamed to gperiodic.docs.
  * debian/menu: Renamed to gperiodic.menu.
  * debian/gperiodic.dirs: Added. Fixes installation via Makefile.
  * debian/gperiodic.install: Added. Installs the added menu icon.
  * debian/gperiodic.manpages: Added. Removed dh_installman argument in
    debian/rules instead.
  * debian/gperiodic.menu: Added icon (closes: #252857).
  * debian/gperiodic.xpm: Added. See debian/gperiodic.menu.
  * debian/gperiodic.1: Reordered some stuff a bit and (IMHO) improved
    formatting. Fixed lintian warning about hyphen usage.
  * debian/rules: Improved and adjusted (using dpatch, using the Makefile
    installation process, ...).
  * debian/patches/01_fix_installation_permissions.dpatch: Added.
    - Makefile: Fix file permissions directly.
  * debian/patches/02_fix_desktop_file_validness.dpatch: Added.
    - gperiodic.desktop: Fix errors and warnings print by
      desktop-file-validate.
  * debian/patches/10_fix_bug_234567_endless_loop.dpatch: Added. See 2.0.7-2.
  * debian/patches/11_remove_DEPRECATED_flags_for_GTK_2_4.dpatch: Added. See
    2.0.7-4.
  * debian/patches/80_update_italian_translation.dpatch: Added. See 2.0.7-3.
  * debian/patches/81_update_french_translation.dpatch: Added. See 2.0.7-5.
  * debian/patches/00list: Added.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Sun, 10 Jun 2007 23:26:53 +0200

gperiodic (2.0.7-5) unstable; urgency=low

  * po/fr.po:
    - fixed a translation error pointed by François Gaudé.

 -- Sebastien Bacher <seb128@debian.org>  Tue,  2 Aug 2005 18:02:27 +0200

gperiodic (2.0.7-4) unstable; urgency=low

  * Removed the DEPRECATED flags to build fine with GTK+2.4.

 -- Sebastien Bacher <seb128@debian.org>  Thu, 13 May 2004 20:46:09 +0200

gperiodic (2.0.7-3) unstable; urgency=low

  * Included italian translation from Andrea Tasso <andrea@tasso.info>.
    (Closes: #237566).

 -- Sebastien Bacher <seb128@debian.org>  Mon, 10 May 2004 00:05:02 +0200

gperiodic (2.0.7-2) unstable; urgency=low

  * Patch from Wolfram Quester <wolfi@mittelerde.physik.uni-konstanz.de> to
    fix endless loop (Closes: #234567).

 -- Sebastien Bacher <seb128@debian.org>  Tue, 24 Feb 2004 19:40:58 +0100

gperiodic (2.0.7-1) unstable; urgency=low

  * New upstream release.
  * Patch from Robert Campbell <rlc1@post.queensu.ca> to fix -D printing
    (Closes: #233696).

 -- Sebastien Bacher <seb128@debian.org>  Sat, 21 Feb 2004 12:40:12 +0100

gperiodic (2.0.6-2) unstable; urgency=low

  * Included italian translation from Andrea Tasso <andrea@tasso.info>.

 -- Sebastien Bacher <seb128@debian.org>  Fri, 16 Jan 2004 23:36:16 +0100

gperiodic (2.0.6-1) unstable; urgency=low

  * New upstream release.
  * Added a manpage.
  * Updated debian/copyright file.
  * Updated Standards-Version to 3.6.1.0.

 -- Sebastien Bacher <seb128@debian.org>  Wed, 24 Sep 2003 02:02:07 +0200

gperiodic (2.0.4-3) unstable; urgency=low

  * Fixed electronic configurations (Closes: #135229).

 -- Sebastien Bacher <seb128@debian.org>  Thu, 24 Jul 2003 18:30:22 +0200

gperiodic (2.0.4-2) unstable; urgency=low

  * The problems with non iso-8859 locales should be fixed (Closes: #202467).
  * Added french translation.

 -- Sebastien Bacher <seb128@debian.org>  Wed, 23 Jul 2003 17:51:53 +0200

gperiodic (2.0.4-1) unstable; urgency=low

  * New maintainer.
  * Closed bugs fixed by previous NMUs (Closes: #57960, #101978, #101979,
    #105296, #124693, #134780, #142066, #177284).
  * New upstream release.
    - Fixed bug in melting/boiling points (Closes: #135225).
  * Bumped standard-versions to 3.6.0.
  * Added debian/docs.
  * Updated to debhelper 4.
  * Updated debian/rules.

 -- Sebastien Bacher <seb128@debian.org>  Sun, 20 Jul 2003 15:32:20 +0200

gperiodic (1.3.3-0.3) unstable; urgency=low

  * NMU (Bug squashing party)
  * gperiodic.c: changed the type of ch from char to int,
    closes: #142066
  * Place the menu entry in Apps/Science, closes: #177284

 -- Lukas Geyer <lukas@debian.org>  Sat, 15 Mar 2003 17:49:48 +0000

gperiodic (1.3.3-0.2) unstable; urgency=low

  * Non-maintainer upload, cleaning up after the previous one.
  * Added missing build-dependency on gettext, that should make it work.

 -- Josip Rodin <jrodin@jagor.srce.hr>  Tue, 19 Feb 2002 23:35:23 +0100

gperiodic (1.3.3-0.1) unstable; urgency=low

  * Non-maintainer upload, bug squashing party.
  * New upstream version, closes: #101979.
  * Added the menu entry, closes: #57960.
  * Fixed upstream build system, which includes installing locale files,
    closes: #101978.
  * A bit of a cleanup in the Debian packaging, including the spelling
    error in the description, closes: #124693.

 -- Josip Rodin <jrodin@jagor.srce.hr>  Sun, 17 Feb 2002 18:02:46 +0100

gperiodic (1.1.1-3.1) unstable; urgency=low

  * Add missing build-depends.  Closes: #105296

 -- LaMont Jones <lamont@smallone.fc.hp.com>  Sat, 14 Jul 2001 22:29:04 -0600

gperiodic (1.1.1-3) unstable; urgency=low

  * Move package into (newly established) science section

 -- Jim Lynch <jwl@debian.org>  Sun, 9 Jan 2000 18:36:25 -0800

gperiodic (1.1.1-2) unstable; urgency=low

  * Fixes Bug#53479: recompiled with new libstdc++2.10

 -- Jim Lynch <jim@laney.edu>  Fri, 9 Jul 1999 08:28:33 -0700

gperiodic (1.1.1-1) unstable; urgency=low

  * New upstream version. Upstream supplied requested manpage.

 -- Jim Lynch <jim@laney.edu>  Fri, 9 Jul 1999 08:28:33 -0700

gperiodic (1.0.5-1) unstable; urgency=low

  * Initial Release.

 -- Jim Lynch <jim@laney.edu>  Tue, 29 Jun 1999 02:53:26 -0700
